package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxNoRemindRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 微信用户关闭提醒记录Mapper接口
 *
 * @author flossom
 * @date 2023-12-16
 */
public interface WxNoRemindRecordMapper {
    /**
     * 查询微信用户关闭提醒记录
     *
     * @param id 微信用户关闭提醒记录主键
     * @return 微信用户关闭提醒记录
     */
    public WxNoRemindRecord selectWxNoRemindRecordById(Long id);

    /**
     * 查询微信用户关闭提醒记录列表
     *
     * @param wxNoRemindRecord 微信用户关闭提醒记录
     * @return 微信用户关闭提醒记录集合
     */
    public List<WxNoRemindRecord> selectWxNoRemindRecordList(WxNoRemindRecord wxNoRemindRecord);

    /**
     * 新增微信用户关闭提醒记录
     *
     * @param wxNoRemindRecord 微信用户关闭提醒记录
     * @return 结果
     */
    public int insertWxNoRemindRecord(WxNoRemindRecord wxNoRemindRecord);

    /**
     * 修改微信用户关闭提醒记录
     *
     * @param wxNoRemindRecord 微信用户关闭提醒记录
     * @return 结果
     */
    public int updateWxNoRemindRecord(WxNoRemindRecord wxNoRemindRecord);

    /**
     * 删除微信用户关闭提醒记录
     *
     * @param id 微信用户关闭提醒记录主键
     * @return 结果
     */
    public int deleteWxNoRemindRecordById(Long id);

    /**
     * 批量删除微信用户关闭提醒记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxNoRemindRecordByIds(Long[] ids);

    int selectWxNoRemindRecordByOpenid(@Param("openid") String openid);

    void deleteWxNoRemindRecordByOpenid(@Param("openid") String openid);
}
